'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * Dispatched when async action started resolving
 * @type {String}
 */
var REDUX_PREFETCH_INIT = exports.REDUX_PREFETCH_INIT = '@@redux-prefetch/init';

/**
 * Dispatched when async action resolved successfully
 * @type {String}
 */
var REDUX_PREFETCH_SUCCESS = exports.REDUX_PREFETCH_SUCCESS = '@@redux-prefetch/success';

/**
 * Dispatched when async action failed to resolve
 * @type {String}
 */
var REDUX_PREFETCH_ERROR = exports.REDUX_PREFETCH_ERROR = '@@redux-prefetch/error';

/**
 * Cleans up prefetch state
 * @type {String}
 */
var REDUX_PREFETCH_RESET = exports.REDUX_PREFETCH_RESET = '@@redux-prefetch/reset';